
QGIS Application - Feature request #11497

QGIS wfs-t server: cannot modify/add features if they have many nodes, necessary to raise the 

maximum body size of a HTTP request

2014-10-25 06:54 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Documentation and Help

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19767

Description

In the latest qgis server versions if a feature has many nodes then modifying it or adding new one will fail if it has many nodes.

Errors: ERROR: 1 geometries not changed.

Provider errors:

empty response

Simplified/generalized versions of the same feature will be saved with no problems.

It seems it is not a wfs client issue as the same feature will edit with no problems if published with geoserver.

I can't remember to have seen this issue in older qgis/server releases, but as I'm not 100% sure I'm not tagging this as a blocker.

History

#1 - 2014-10-28 01:17 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Cannot reproduce.

the words "many nodes" do not permit a precise identification of the feature causing the problem.

Can you please add a test project with the minimum feature set to reproduce the issue?

#2 - 2014-10-28 01:29 AM - Giovanni Manghi

Alessandro Pasotti wrote:

Cannot reproduce.

the words "many nodes" do not permit a precise identification of the feature causing the problem.

Can you please add a test project with the minimum feature set to reproduce the issue?

yes I can provide a test server, but only later during the day.

2025-04-27 1/2



cheers!

#3 - 2014-10-30 06:42 AM - Giovanni Manghi

- Category changed from QGIS Server to Documentation and Help

- Subject changed from QGIS wfs-t server: cannot modify/add features if they have many nodes to QGIS wfs-t server: cannot modify/add features if they 

have many nodes, necessary to raise the maximum body size of a HTTP request

- Tracker changed from Bug report to Feature request

it turns out that is necessary to raise the maximum body size of a HTTP request, like

<IfModule mod_fcgid.c>

  FcgidMaxRequestLen 26214400

  FcgidConnectTimeout 60

</IfModule>

better add a note in the docs.

#4 - 2015-03-05 07:03 AM - Alexander Bruy

- Status changed from Feedback to Closed

Moved to GitHub issues, see https://github.com/qgis/QGIS-Documentation/issues/481
